# Group fields

![](/files/-Mh6rVJ608mze5ubBFUC)

### Arguments

| Property    | Description                                                                                                                                                                                             |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name        | Fields name (Unique)                                                                                                                                                                                    |
| type        | group                                                                                                                                                                                                   |
| label       | Label of field                                                                                                                                                                                          |
| description | Description about the field                                                                                                                                                                             |
| value       | Default value                                                                                                                                                                                           |
| options     | <p><code>{</code></p><p>    <code>add\_text: string (Custom text for add new),</code></p><p>    <code>max: interge (Maximum item),</code></p><p>    <code>oneline: true</code></p><p><code>}</code></p> |
| params      | List of fields in this group (support group level 2)                                                                                                                                                    |

```
[
   {
      name:'group_1',
      label:'Simple Group',
      type:'group',
      value:[
         {
            text:'Text 01'
         }
      ],
      options:{
         add_text:'Add new item',
         max:5
      },
      params:[
         {
            name:'text',
            type:'text',
            label:'Text'
         },
         {
            name:'image',
            type:'picker',
            label:'Image',
            options:{
               type:'image'
            }
         }
      ]
   },
   {
      name:'group_2',
      label:'Group in group',
      type:'group',
      value:[
         {
            text:'Text 02',
            group_inner:[
               {
                  text:'Text 03'
               }
            ]
         }
      ],
      options:{
         add_text:'Add new group'
      },
      params:[
         {
            name:'text',
            type:'text',
            label:'Text'
         },
         {
            name:'group_inner',
            type:'group',
            label:'Child group',
            params:[
               {
                  name:'text',
                  type:'text',
                  label:'Text'
               },
               {
                  name:'image',
                  type:'picker',
                  label:'Image',
                  options:{
                     type:'image'
                  }
               }
            ]
         }
      ]
   },
   {
      name:'group_3',
      label:'Group types',
      type:'group',
      value:[
         {
            type:'group_type_1',
            settings:{
               text:'Text 03',
               group_inner:[
                  {
                     text:'Text 04'
                  },
                  {
                     text:'Text 05'
                  }
               ]
            }
         }
      ],
      options:{
         add_text:'Add new group'
      },
      params:[
         {
            type:'group_type_1',
            name:'Group 01',
            max: 5,
            settings:[
               {
                  name:'text',
                  type:'text',
                  label:'Text'
               },
               {
                  name:'group_inner',
                  type:'group',
                  label:'Child group',
                  params:[
                     {
                        name:'text',
                        type:'text',
                        label:'Text'
                     },
                     {
                        name:'image',
                        type:'picker',
                        label:'Image',
                        options:{
                           type:'image'
                        }
                     }
                  ]
               }
            ]
         },
         {
            type:'group_type_2',
            name:'Group 02',
            settings:[
               {
                  name:'text',
                  type:'text',
                  label:'Text'
               }
            ]
         }
      ]
   }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beae.dev/beae-docs/developer/field-types/group-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
